lparameters tcClass, ;
	tcLibrary, ;
	tnEventType, ;
	tnObjType, ;
	tnObjCode
local lnObjType, ;
	lnObjCode, ;
	lcClass

* Open the report builder table.

use ReportBuilder

* Use defaults for the object type and code if they weren't passed.

lnObjType = iif(vartype(tnObjType) = 'N', tnObjType, -1)
lnObjCode = iif(vartype(tnObjCode) = 'N', tnObjCode, -1)

* If the specified handler is already there, ensure it's enabled by setting
* EventType to the proper value. Otherwise, add a record for it.

lcClass = padr(upper(tcClass), len(Hndl_Class))
locate for upper(Hndl_Class) == lcClass and (EventType = tnEventType or ;
	EventType = tnEventType + 100) and ObjType = lnObjType and ;
	ObjCode = lnObjCode
if found()
	replace EventType with tnEventType
else
	insert into ReportBuilder ;
			(Rec_Type, ;
			Hndl_Class, ;
			Hndl_Lib, ;
			EventType, ;
			ObjType, ;
			ObjCode) ;
		values ;
			('H', ;
			tcClass, ;
			tcLibrary, ;
			tnEventType, ;
			lnObjType, ;
			lnObjCode)
endif found()

* Disable any other handlers for the same event by setting their EventType
* code to an unused value.

replace EventType with EventType + 100 for EventType = tnEventType and ;
	ObjType = lnObjType and ObjCode = lnObjCode and ;
	not upper(Hndl_Class) == lcClass

* Clean up and exit.

use
