#include SFREPORTING.H


**********************
* these come from XSource FRX.H because they may be in FOXPRO.H at some point:
************************************************************************************
************************************************************************************
**                                                                                **
** Visual FoxPro Named Constant File                                              **
** This file contains named constants for most Visual FoxPro functions            **
**                                                                                **
** FRX subset
************************************************************************************
************************************************************************************

*-- FRX report builder constants
*-- FRX Report Builder return flags
#define FRX_REPBLDR_IGNORE_EVENT            0       
#define FRX_REPBLDR_HANDLE_EVENT            1
#define FRX_REPBLDR_DISCARD_CHANGES         0
#define FRX_REPBLDR_RELOAD_CHANGES          2

*-- FRX Report Builder event types
#define FRX_BLDR_EVENT_PROPERTIES           1
#define FRX_BLDR_EVENT_OBJECTCREATE         2
#define FRX_BLDR_EVENT_OBJECTCHANGE         3
#define FRX_BLDR_EVENT_OBJECTREMOVE         4
#define FRX_BLDR_EVENT_OBJECTPASTE          5
#define FRX_BLDR_EVENT_REPORTSAVE           6
#define FRX_BLDR_EVENT_REPORTOPEN           7
#define FRX_BLDR_EVENT_REPORTCLOSE          8
#define FRX_BLDR_EVENT_DATAENV              9
#define FRX_BLDR_EVENT_PREVIEWMODE         10
#define FRX_BLDR_EVENT_OPTIONALBANDS       11
#define FRX_BLDR_EVENT_DATAGROUPING        12
#define FRX_BLDR_EVENT_VARIABLES           13
#define FRX_BLDR_EVENT_EDITINPLACE         14
#define FRX_BLDR_EVENT_SETGRIDSCALE        15
#define FRX_BLDR_EVENT_OBJECTDROP          16
#define FRX_BLDR_EVENT_IMPORTDE            17
#define FRX_BLDR_EVENT_REPORT              18
#define FRX_BLDR_EVENT_QUICKREPORT         19

**********************


* Define some constants for parameters.

#define cnEVENT_NOT_HANDLED		0
* Value for tnReturn indicating that we didn't do anything
#define cnEVENT_HANDLED			1
* Value for tnReturn indicating that we handled the event and the Report
* designer shouldn't. This and cnFRX_CHANGED are additive
#define cnFRX_CHANGED			2
* Value for tnReturn indicating that we changed the FRX. This and
* cnEVENT_HANDLED are additive
#define cnOBJECT_PROPERTIES		1
* Value for tnEventType: the Properties dialog was invoked
#define cnOBJECT_CREATE			2
* Value for tnEventType: an object (control or band) was created
#define cnOBJECT_CHANGE			3
* Value for tnEventType: an object is being edited, moved, or resized
#define cnOBJECT_REMOVE			4
* Value for tnEventType: an object is being removed
#define cnREPORT_SAVE			6
* Value for tnEventType: the report is being saved
#define cnREPORT_OPEN			7
* Value for tnEventType: the report is being opened
#define cnREPORT_CLOSE			8
* Value for tnEventType: the report is being closed
#define cnDATAENV_OPEN			9
* Value for tnEventType: the DataEnvironment is being opened
#define cnPREVIEW_MODE			10
* Value for tnEventType: the report is being previewed
#define cnDIALOG_OPT_BANDS		11
* Value for tnEventType: the Optional Bands dialog was invoked
#define cnDIALOG_DATA_GROUP		12
* Value for tnEventType: the Data Group dialog was invoked
#define cnDIALOG_VARIABLES		13
* Value for tnEventType: the Variables dialog was invoked
#define cnOBJECT_EDITINPLACE	14
* Value for tnEventType: Ctrl-E was pressed on a selected Label object

* The height of a band separator in FRUs.

#define BAND_SEPARATOR_HEIGHT_FRUS	 	2083.333
